Skip to content

スケジュールされたメッセージを更新する

post

/messages/schedule/update

このエンドポイントを使用して、スケジュールされたメッセージを更新します。

このエンドポイントは、schedule または messages パラメーターのいずれか、あるいはその両方に対する更新を受け入れます。リクエストには、これら2つのキーのうち、少なくとも1つが含まれている必要があります。

前提条件

このエンドポイントを使用するには、messages.schedule.update 権限を持つ APIキーが必要です。

レート制限

APIレート制限に記載されているように、このエンドポイントにはデフォルトのBrazeレート制限(1時間あたり250,000リクエスト)が適用されます。

リクエスト本文

1
2
Content-Type: application/json
Authorization: Bearer YOUR-REST-API-KEY
1
2
3
4
5
6
7
8
9
{
  "schedule_id": (required, string) the `schedule_id` to update (obtained from the response to create schedule),
  "schedule": {
    // optional, see create schedule documentation
  },
  "messages": {
    // optional, see available messaging objects documentation
  }
}

リクエストパラメーター

パラメーター 必須 データタイプ 説明
schedule_id 必須 文字列 更新する schedule_id(スケジュール作成のレスポンスから取得)。
schedule オプション オブジェクト スケジュールオブジェクトを参照してください。
messages オプション オブジェクト 利用可能なメッセージングオブジェクトを参照してください。

リクエスト例

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
curl --location --request POST 'https://rest.iad-01.braze.com/messages/schedule/update' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-REST-API-KEY' \
--data-raw '{
  "schedule_id": "schedule_identifier",
  "schedule": {
    "time": "2017-05-24T20:30:36Z"
   },
  "messages": {
    "apple_push": {
      "alert": "Updated Message!",
      "badge": 1
    },
    "android_push": {
      "title": "Updated title!",
      "alert": "Updated message!"
    },
    "sms": {
      "subscription_group_id": "subscription_group_identifier",
      "message_variation_id": "message_variation_identifier",
      "body": "This is my SMS body.",
      "app_id": "app_identifier"
    }
  }
}'
New Stuff!